Форум русскоязычного сообщества Ubuntu


Автор Тема: извечный fglrx & Xpress 200  (Прочитано 1056 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн kinesis

  • Автор темы
  • Любитель
  • *
  • Сообщений: 57
    • Просмотр профиля
извечный fglrx & Xpress 200
« : 29 Ноябрь 2006, 21:01:19 »
собрался скачать драйвера с сайта ati, версия 8.29.6, но посмотрел release notes и не нашел там своей карты ati X200
скачал предыдущую версию 8.26.18 с того же сайта, и при сборке говорит:
Generating package: Ubuntu/6.10
Requested package is not supported.

что делать? :'(

Оффлайн dim4ik

  • Активист
  • *
  • Сообщений: 324
  • Kubuntu / Archlinux
    • Просмотр профиля
Re: извечный fglrx & Xpress 200
« Ответ #1 : 29 Ноябрь 2006, 21:36:58 »
Ставить 8.29.6, по крайней мере сайт НТИ предлагает их ставить.

Оффлайн kinesis

  • Автор темы
  • Любитель
  • *
  • Сообщений: 57
    • Просмотр профиля
Re: извечный fglrx & Xpress 200
« Ответ #2 : 29 Ноябрь 2006, 21:49:47 »
С 8.29.6 не вышло.
Но поставил сейчас убунтовские из репозитариев, 2.28.8, система загрузилась, но все работает через одно место! как бы это сказать.... информация на окнах не отображается, вернее не обновлсется, через все окна видно десктоп, как буд-то они полностью прозрачны. вобщем работать не возможно.
отключил при загрузке модуль glx - стало все видно, но соответственно:
kinesis@kinesis:~$ fglrxinfo
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Error: couldn't find RGB GLX visual!

и почему-то грузится ati_agp:
kinesis@kinesis:~$ lsmod |grep agpgart
ati_agp                 9612  0
agpgart                33456  2 fglrx,ati_agp

Оффлайн kinesis

  • Автор темы
  • Любитель
  • *
  • Сообщений: 57
    • Просмотр профиля
Re: извечный fglrx & Xpress 200
« Ответ #3 : 29 Ноябрь 2006, 22:42:16 »
Ставить 8.29.6, по крайней мере сайт НТИ предлагает их ставить.

поставил, запускается, окно опсть прозрачны и виснет через пару минут.
нашел в Xorg.0.log:
(EE) AIGLX error: dlsym for __driCreateNewScreen_20050727 failed (/usr/lib/dri/fglrx_dri
.so: undefined symbol: __driCreateNewScreen_20050727)
(EE) AIGLX: reverting to software rendering

думаю постому GLX не работает. но отчего такас ошибка?

Оффлайн dim4ik

  • Активист
  • *
  • Сообщений: 324
  • Kubuntu / Archlinux
    • Просмотр профиля
Re: извечный fglrx & Xpress 200
« Ответ #4 : 30 Ноябрь 2006, 12:51:38 »
Может поможет отключение композита:
[code]Section "Extensions"
Option “Composite

Оффлайн kinesis

  • Автор темы
  • Любитель
  • *
  • Сообщений: 57
    • Просмотр профиля
Re: извечный fglrx & Xpress 200
« Ответ #5 : 30 Ноябрь 2006, 16:29:51 »
Может поможет отключение композита:
[code]Section "Extensions"
Option “Composite
« Последнее редактирование: 01 Декабрь 2006, 10:10:55 от kinesis »

Оффлайн kinesis

  • Автор темы
  • Любитель
  • *
  • Сообщений: 57
    • Просмотр профиля
Re: извечный fglrx & Xpress 200
« Ответ #6 : 01 Декабрь 2006, 22:15:19 »
плюс ко всему постоснно падает blender работас на драйвере ati
приложу лог иксов

ps. нашел что:
X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.15.7 i686

но....
(II) LoadModule: "fglrx"
(II) Loading /usr/lib/xorg/modules/drivers/fglrx_drv.so
(II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
        compiled for 7.1.0, module version = 8.29.6
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 1.0

получается что драйвер собрался почему-то под 7.1.0
что можно сделать в данной ситуации?

[вложение удалено Администратором]
« Последнее редактирование: 02 Декабрь 2006, 01:00:26 от kinesis »

 

Страница сгенерирована за 0.055 секунд. Запросов: 23.